Bug 120532 - last auto-activated interface steals default network gateway bit
last auto-activated interface steals default network gateway bit
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-04-09 18:57 EDT by James Cleverdon
Modified: 2014-03-16 22:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-13 00:29:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Cleverdon 2004-04-09 18:57:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
This may be more of an anaconda issue than initscripts, but I'm not sure.

Installed RHEL 3 QU3 on a 16-way x445 box, which has 4 Broadcom LAN
ports (2 per cabinet). Set two of them active in the installation,
eth0 to the 9.47. local subnet, and eth2 to as a network test

Turns out that the default gateway bit was set on the eth2 interface
(to -- which was not a router), despite having configured
the default gateway on eth0 to 9.47.

This is easy enough to fix, but would be confusing to the unwary

Is there some way to make anaconda and/or the network initscripts deal
with multiple interfaces better?

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. Install RHEL 3.0/QU03 on 16-way x445
2. Enable multiple interfaces during set-up.
3. Fail miserably, unless the last active interface is supposed to be
the default gateway.

Actual Results:  All packets were sent to the twilight zone
(, instead of the 9.47 subnet.  This made the system appear
to have dead networking, despite having both eth0 and eth2 enabled,
both as far as neat and ifconfig were concerned.

Expected Results:  eth0 should have been the default gateway.

Additional info:
Comment 1 Bill Nottingham 2004-04-13 00:29:08 EDT
AFAIK, this is expected behavior... unless you tweak the config, the
last machine gets the default route. There are various ways you can
change the config for this, of course.
Comment 2 James Cleverdon 2004-04-14 18:20:15 EDT
Really? OK, how about a nice bright red message when someone
configures extra interfaces?  Maybe: "The last interface will be the
default gateway."

Or whatever. Just pointing out something that might perplex the
unwary, now that more servers come with dual or quad LAN chips.

Note You need to log in before you can comment on or make changes to this bug.